OGRE-Next: Ogre::EGLSupport Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::EGLSupport Class Referenceabstract

`#include <OgreEGLSupport.h>`

Inheritance diagram for Ogre::EGLSupport:
[legend]

## Public Member Functions
| EGLSupport ()
virtual | ~EGLSupport ()
void | addConfig ()
| Add any special config values to the system.
EGLConfig * | chooseGLConfig (const EGLint *attribList, EGLint *nElements)
::EGLContext | createNewContext (EGLDisplay eglDisplay, ::EGLConfig glconfig, ::EGLContext shareList) const
RenderWindow * | createWindow (bool autoCreateWindow, GLES2RenderSystem *renderSystem, const String &windowTitle)
EGLConfig * | getConfigs (EGLint *nElements)
virtual String | getDisplayName ()
EGLBoolean | getGLConfigAttrib (EGLConfig fbConfig, EGLint attribute, EGLint *value)
::EGLConfig | getGLConfigFromContext (::EGLContext context)
::EGLConfig | getGLConfigFromDrawable (::EGLSurface drawable, unsigned int *w, unsigned int *h)
EGLDisplay | getGLDisplay ()
void * | getProcAddress (const char *procname) const
| Get the address of a function.
::EGLConfig | selectGLConfig (const EGLint *minAttribs, const EGLint *maxAttribs)
void | setConfigOption (const String &name, const String &value)
void | setGLDisplay (EGLDisplay val)
void | start ()
| Start anything special.
void | stop ()
| Stop anything special.
void | switchMode ()
virtual void | switchMode (uint &width, uint &height, short &frequency)=0
String | validateConfig ()
| Make sure all the extra options are valid.
Public Member Functions inherited from Ogre::GLES2Support
| GLES2Support ()
virtual | ~GLES2Support ()
virtual bool | checkExtension (const String &ext) const
| Check if an extension is available.
virtual ConfigOptionMap & | getConfigOptions ()
virtual unsigned int | getDisplayMonitorCount () const
| Gets the number of display monitors.
const String & | getGLVendor () const
| Get vendor information.
const DriverVersion & | getGLVersion () const
| Get version information.
const String & | getShaderCachePath () const
| Get shader cache path.
const String & | getShaderLibraryPath () const
| Get shader library path.
bool | hasMinGLVersion (int major, int minor) const
| Check if GL Version is supported.
virtual void | initialiseExtensions ()
| Initialises GL extensions, must be done AFTER the GL context has been established.
virtual RenderWindow * | newWindow (const String &name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)=0
| Creates a new rendering window.
void | setShaderCachePath (String path)
| Set shader cache path.
void | setShaderLibraryPath (String path)
| Set shader library path.

## Constructor & Destructor Documentation

## ◆ EGLSupport()

Ogre::EGLSupport::EGLSupport | ( |  | ) |

## ◆ ~EGLSupport()

virtual Ogre::EGLSupport::~EGLSupport | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addConfig()

void Ogre::EGLSupport::addConfig | ( |  | ) |
| virtual

Add any special config values to the system.

Must have a "Full Screen" value that is a bool and a "Video Mode" value that is a string in the form of wxh

Implements Ogre::GLES2Support.

## ◆ chooseGLConfig()

EGLConfig * Ogre::EGLSupport::chooseGLConfig | ( | const EGLint * | attribList,
|  | EGLint * | nElements )

## ◆ createNewContext()

::EGLContext Ogre::EGLSupport::createNewContext | ( | EGLDisplay | eglDisplay,
|  | ::EGLConfig | glconfig,
|  | ::EGLContext | shareList ) const

## ◆ createWindow()

RenderWindow * Ogre::EGLSupport::createWindow | ( | bool | autoCreateWindow,
|  | GLES2RenderSystem * | renderSystem,
|  | const String & | windowTitle )
| virtual

Implements Ogre::GLES2Support.

## ◆ getConfigs()

EGLConfig * Ogre::EGLSupport::getConfigs | ( | EGLint * | nElements | ) |

## ◆ getDisplayName()

virtual String Ogre::EGLSupport::getDisplayName | ( |  | ) |
| virtual

Reimplemented in Ogre::X11EGLSupport.

## ◆ getGLConfigAttrib()

EGLBoolean Ogre::EGLSupport::getGLConfigAttrib | ( | EGLConfig | fbConfig,
|  | EGLint | attribute,
|  | EGLint * | value )

## ◆ getGLConfigFromContext()

::EGLConfig Ogre::EGLSupport::getGLConfigFromContext | ( | ::EGLContext | context | ) |

## ◆ getGLConfigFromDrawable()

::EGLConfig Ogre::EGLSupport::getGLConfigFromDrawable | ( | ::EGLSurface | drawable,
|  | unsigned int * | w,
|  | unsigned int * | h )

## ◆ getGLDisplay()

EGLDisplay Ogre::EGLSupport::getGLDisplay | ( |  | ) |

## ◆ getProcAddress()

void * Ogre::EGLSupport::getProcAddress | ( | const char * | procname | ) | const
| virtual

Get the address of a function.

Implements Ogre::GLES2Support.

## ◆ selectGLConfig()

::EGLConfig Ogre::EGLSupport::selectGLConfig | ( | const EGLint * | minAttribs,
|  | const EGLint * | maxAttribs )

## ◆ setConfigOption()

void Ogre::EGLSupport::setConfigOption | ( | const String & | name,
|  | const String & | value )
| virtual

Reimplemented from Ogre::GLES2Support.

## ◆ setGLDisplay()

void Ogre::EGLSupport::setGLDisplay | ( | EGLDisplay | val | ) |

## ◆ start()

void Ogre::EGLSupport::start | ( |  | ) |
| virtual

Start anything special.

Implements Ogre::GLES2Support.

## ◆ stop()

void Ogre::EGLSupport::stop | ( |  | ) |
| virtual

Stop anything special.

Implements Ogre::GLES2Support.

## ◆ switchMode() [1/2]

void Ogre::EGLSupport::switchMode | ( |  | ) |

## ◆ switchMode() [2/2]

virtual void Ogre::EGLSupport::switchMode | ( | uint & | width,
|  | uint & | height,
|  | short & | frequency )
| pure virtual

Implemented in Ogre::AndroidEGLSupport, Ogre::EmscriptenEGLSupport, Ogre::Win32EGLSupport, and Ogre::X11EGLSupport.

## ◆ validateConfig()

String Ogre::EGLSupport::validateConfig | ( |  | ) |
| virtual

Make sure all the extra options are valid.

Returns
  string with error message

Implements Ogre::GLES2Support.

The documentation for this class was generated from the following file:

- OgreEGLSupport.h